-- vi: et sw=4 ts=4:
-- hsv2
---@module "hsv2"
local M = {}
local L = {}

---Init HSV2
---@param config? hsv2_config
function M.init(config)
    M.config = require("hsv2.config")
    M.enums = require("hsv2.enums")
    M.utils = require("hsv2.utils")

    config = type(config) == "table" and config or {}
    L.init_log(config)
    L.init_pkgmanager(config)
    M.core = { pkgmanager = require("hsv2.core.pkgmanager") }

    M.config.set(nil, config)
    M.config.set(nil, M.config.from_env())
end

function L.init_log(config)
    M.utils.log.init(config)
    M.config.register_listener("log", M.utils.log.config_listener,
        "default .log listener", M.enums.log_lstnr_prio.core)
end

---Init plugin manager
---@param config? hsv2_config
function L.init_pkgmanager(config)
    local pkgmngr = require("hsv2.core.pkgmanager")
    pkgmngr.init(config)
end

return M
