-- vi: et sw=4 ts=4:
-- hsv2
---@module "hsv2.enums"
local M = {}

---@alias conf_lstnr_def_prio_grp string Default config listener priority groups
---|  "first"
---|  "core"
---|  "layer"
---|> "user"
---|  "last"

---@type table<conf_lstnr_def_prio_grp, integer>
M.log_lstnr_prio = {
    first = 3,
    core  = 10,
    layer = 30,
    user  = 30,
    last  = 97,
}

---@alias log_level
---|  "all"     alias for the highest log level
---|  "debug"   Debug-level messages
---|  "info"    Informational
---|> "notice"  Normal but significant condition
---|  "warn"    Warning condition
---|  "err"     Error condition
---|  "crit"    Critical condition
---|  "alert"   Action must be taken immediately
---|  "emerg"   System is unusable
---@type table<log_level, number> Log level priorities
M.log_level = {
    emerg  = 0,
    alert  = 1,
    crit   = 2,
    err    = 3,
    warn   = 4,
    notice = 5,
    info   = 6,
    debug  = 7,
}

return M

